<template>
  <div>
    <div class="container col-10 my-3 card card-dark px-0 text-muted">
      <div class="card-header">
        <h3 class="card-title mt-3 mb-4" style="height: 77px;color: #fff;">ایجاد فرم جدید</h3>
      </div>
      <!-- form start -->
      <form style="color:#fff;" role="form" @submit.prevent="submit_new_article">
        <div class="card-body">
          <div class="form-group">
            <label class="" for="exampleInputEmail1"
              >Form Name</label
            >
            <input
              v-model="form.form_name"
              type="text"
              class="form-control"
              name="form_name"
              id="exampleInputEmail1"
              placeholder="input form name"
              :class="{ 'is-invalid': form.errors.has('form_name') }"
            />
            <has-error :form="form" field="form_name"></has-error>
          </div>

          <div class="form-group">
            <label class="" for="exampleInputPassword1"
              >Choose Form Paginate</label
            >
            <input
              v-model="form.paginate"
              type="number"
              class="form-control"
              name="form_paginate"
              id="exampleInputEmail1"
              placeholder="input paginate no"
              :class="{ 'is-invalid': form.errors.has('form_paginate') }"
            />
            <has-error :form="form" field="form_paginate"></has-error>
          </div>



          <div class="form-group" style="position:relative">
            <label class="d-flex flex-row" for="exampleInputPassword1"
              >Create New Column</label
            >
            <button 
            @click.prevent="create_new_column_btn= !create_new_column_btn"
            class="btn btn-primary">Create New Column</button>
            
            <div 
            v-if="create_new_column_btn"
            style="position:absolute;left:77px;top:77px;background: rgba(1, 119, 107, 0.55);z-index:111;"
            class="col-7 ml-5">

              <div class="form-group">
                <label class="" for="exampleInputPassword1"
                  >Column Name</label
                >
                <input
                  v-model="form.column_name"
                  type="text"
                  class="form-control"
                  name="column_name"
                  id="exampleInputEmail1"
                  placeholder="input paginate no"
                  :class="{ 'is-invalid': form.errors.has('column_name') }"
                />
                <has-error :form="form" field="column_name"></has-error>
              </div>

              <div class="form-group">
                <label class="" for="exampleInputPassword1"
                  >Column Type</label
                >
                <select 
                v-model="form.column_type" class="form-control" 
                name="column_type" id=""
                :class="{ 'is-invalid': form.errors.has('column_type') }"
                >
                  <option value="">choose</option>
                  <option value="string">string</option>
                  <option value="integer">integer</option>
                  <option value="float">float</option>
                  <option value="date">date</option>
                  <option value="domain">domain</option>
                  <option value="image">image</option>
                  <option value="video">video</option>
                  <option value="Article">Article</option>
                  <option value="hash">hash</option>
                </select>
                <has-error :form="form" field="column_type"></has-error>
              </div>              

              <div class="form-group">
                <label class="" for="exampleInputPassword1"
                  >Column Width 
                  <span class="">{{ form.column_width}} %</span>
                  </label>
                <input
                  v-model="form.column_width"
                  type="range"
                  min="20"
                  max="60"
                  step="10"
                  class="form-control"
                  name="column_width"
                  id="exampleInputEmail1"
                  placeholder="input paginate no"
                  :class="{ 'is-invalid': form.errors.has('column_width') }"
                />
                <has-error :form="form" field="column_width"></has-error>
              </div>


              <div class="form-group">
                <label class="" for="exampleInputPassword1"
                  >Searchable</label
                >
                <input
                  v-model="form.column_searchable"
                  type="checkbox"
                  class="form-control"
                  name="column_searchable"
                  id="exampleInputEmail1"
                  placeholder="input paginate no"
                  :class="{ 'is-invalid': form.errors.has('column_searchable') }"
                />
                <has-error :form="form" field="column_searchable"></has-error>
              </div>


              <div class="form-group">
                <label class="" for="exampleInputPassword1"
                  >Sortable</label
                >
                <input
                  v-model="form.column_sortable"
                  type="checkbox"
                  class="form-control"
                  name="column_sortable"
                  id="exampleInputEmail1"
                  placeholder="input paginate no"
                  :class="{ 'is-invalid': form.errors.has('column_sortable') }"
                />
                <has-error :form="form" field="column_sortable"></has-error>
              </div>

              <button 
              @click.prevent="create_column"
              class="btn btn-primary">Create This Column</button>

            </div>
          </div>
        </div>
        <!-- /.card-body -->

        <div class="card-footer">
          <div class="">
            <table class="table table-bordered">
              <thead>
                <tr v-html="work_dir">
                  <th>aaa</th>
                  <th>aaa</th>
                  <th>aaa</th>
                  <th>aaa</th>
                </tr>
              </thead>
            </table>
          </div>
          <button type="submit" class="btn btn-primary btn-lg">ذخیره</button>

          <!-- <button @click="submitForm" class="btn btn-sm btn-success">Save quill</button> -->
        </div>
      </form>
    </div>
    <!-- <div>{{ form_two }}</div> -->
  </div>
</template>

<script>

export default {
  name: "hilo_create_new_form",
  data() {
    return {
      create_new_column_btn: false,
      work_dir: "",
      form: new window.Form({
        form_name: "",
        form_paginate: "",
        column_name: "",
        column_type: "",
        column_width: "20",
        column_searchable: "",
        column_sortable: ""
      }),
    };
  },
  components: {

  },
  mounted() {
    if ((this.$route.params.index != null) & (this.$route.params.index == 0)) {
      this.edit_article();
    }
    //   console.log('this is current quill instance object', this.editor)
  },
  methods: {
    create_column() {
      this.create_new_column_btn = false;
      let current_column = `<th class="d-inline-block" style="width:${this.form.column_width}%;"><div class="d-flex flex-row"><div>${this.form.column_name}</div></div></th>`;
      // "<div class="d-flex flex-column"><span>search<input type="checkbox" ${this.form.column_searchable?"checked":""} disabled></span><span>sort<input type="checkbox" ${this.form.column_sortable?"checked":""} disabled></span></div>"
      this.work_dir += current_column;
      current_column = "";
    }
  },
  watch: {
    $route() {
      if (
        (this.$route.params.index != null) &
        (this.$route.params.index == 0)
      ) {
        this.edit_article();
      }
    }
  }
};
</script>

<style>
/* .ck-editor__editable {
  min-height:177px;
  resize: both;
  overflow: auto;
} */
</style>
